ISCSI-SWP(1)

NAME
iscsi-swp - Utility to get/set software write protect on an iSCSI LUN

SYNOPSIS

iscsi-swp [ OPTIONS ] <ISCSI-PORTAL>

iscsi-ls [-i --initiator-name=<IQN>] [-s --swp {on|off}] [-d --debug=<INTEGER>] [-? --help] [--usage]

DESCRIPTION

iscsi-swp is a utility to get or set the software write protect on an iSCSI LUN.

ISCSI PORTAL URL FORMAT

iSCSI portal format is 'iscsi://[<username>[%<password>]@]<host>[:<port>]'

Username and password are only required if the target requires CHAP authentication. Optionally you can specify the username and password via the environment variables LIBISCSI_CHAP_USERNAME and LIBISCSI_CHAP_PASSWORD.

Host can be specified either as a hostname, an IPv4 address or an IPv6 address. Examples:

    	iscsi://192.0.2.1
    	iscsi://[2001:DB8::1]:3261
    	iscsi://ronnie%password@iscsi.example.com

Port is the TCP port on the target to connect to. Default is 3260.

OPTIONS

-i --initiator-name=<IQN>
    This specifies the initiator-name that iscsi-ls will use when logging in to the target.

    The default name is 'iqn.2007-10.com.github:sahlberg:libiscsi:iscsi-ls' but you can use this argument to override this. This is mainly needed for cases where the target is configured with access-control to only allow discovery logins from known initiator-names.

-s --swp {on|off}
    By default iscsi-swp will only print the current setting of the software write protect bit. By using this argument iscsi-swp will also try to set/clear the flag on the target LUN.

        iscsi-swp iscsi://127.0.0.1/iqn.ronnie.test/1
        SWP:0

        iscsi-swp iscsi://127.0.0.1/iqn.ronnie.test/1 --swp on
        SWP:0
        Turning SWP ON

        iscsi-swp iscsi://127.0.0.1/iqn.ronnie.test/1 --swp off
        SWP:0
        Turning SWP OFF

-d --debug=<INTEGER>
    Debug level.

-? --help
    Display basic help text.

--usage
    Display basic usage text.

SEE ALSO

iscsi-inq(1), iscsi-ls(1) http://github.com/sahlberg/libiscsi